    The XSPEC uvred model: interstellar extinction, Seaton Law.

xsuvred
The xsuvred model is a multiplicative model component.

The model is described at [1] .

The ebv parameter has been renamed e_bmv to match the XSPEC definition. The name ebv can still be used to access the parameter, but this name will be removed in a future release.

>>> create_model_component("xsuvred", "mdl")
>>> print(mdl)

Create a component of the xsuvred model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.E_BmV thawed 0.05 0 10

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
E_BmV
The value of E(B-V) for the line of sight to the source.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelUvred.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023